// gma4.shader
// @www.gerald.at
// textures/temperate_sd/grass_path1

textures/gma4/gma
{
	surfaceparm grasssteps
	implicitMap -
}

textures/gma4/gma_grass
{
	qer_editorimage textures/temperate_sd/grass_path1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm grasssteps
	surfaceparm landmine
	implicitMap textures/temperate_sd/grass_path1.tga

}
//gma_grassroad1.tga
textures/gma4/gma_grassroad
{
	qer_editorimage textures/gma4/gma_grassroad1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm gravelsteps
	surfaceparm landmine
	implicitMap textures/gma4/gma_grassroad1.tga
}
textures/gma4/gma_sand
{
	qer_editorimage textures/desert_sd/road_dirty_gravel.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm gravelsteps
//	surfaceparm landmine
	implicitMap textures/desert_sd/road_dirty_gravel.tga
}

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/gma4/wolkenhimmel
{
	qer_editorimage textures/skies/topclouds.tga
	q3map_lightimage textures/skies/n_blue.tga
	
	//q3map_sun 0.75 0.70 0.6 135 199 49
	q3map_sun	1.0 0.8 0.6 80 270 60

	q3map_skylight 75 3
	sunshader textures/skies_sd/siwasunbright	

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky

	q3map_globaltexture
	q3map_lightsubdivide 512

	q3map_surfacelight 25							
	fogvars ( .3 .3 .38 ) .000065
	skyparms full 200 -
	{
		map textures/gma4/dinoclouds.tga
		tcMod scroll -0.001 -0.003
		tcMod scale 6 6
		depthWrite
	}
	{
		map textures/skies/fueldump_clouds.tga
		blendfunc blend
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}
}


//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//++++++++++++++++++++TESTSECTION+++++++++++++++++++++++++++++++
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

textures/common/teamdoor_clip
{
	qer_editorimage textures/common/clipfull.tga
	qer_trans 0.3
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/doors/door_m01asml_axis.tga
		alphaFunc GT0
		depthFunc disable
		alphaGen const 0
	}
}

textures/gma4/terrain_base
{
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/gma4/terrain_0
{
	q3map_baseshader textures/gma4/terrain_base
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 0.250 0.250
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/gma4/terrain_1
{
	q3map_baseshader textures/gma4/terrain_base
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/temperate_sd/rock_grayvar.tga
		tcMod scale 0.250 0.250
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/gma4/terrain_0to1
{
	q3map_baseshader textures/gma4/terrain_base
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 0.250 0.250
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.250 0.250
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/gma4/terrain_1to0
{
	q3map_baseshader textures/gma4/terrain_base
	{
		map textures/temperate_sd/rock_grayvar.tga
		tcMod scale 0.250 0.250
	}
	{
		map textures/temperate_sd/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.250 0.250
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//++++++++++++++++++++PLASMA TESTSECTION++++++++++++++++++
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
textures/gma4/gma_light
{
	qer_editorimage textures/gma4/radioaktive.tga
	q3map_lightimage textures/lights/light_c01.blend.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gma4/radioaktive.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_c01.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/gma4/water_calm2

	{
		qer_editorimage textures/gma4/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		nofog
		cull disable
		
		{ 
		fog on
			map textures/gma4/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
		fog on
			map textures/gma4/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/gma4/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/gma4/fog_leicht
{
	qer_editorimage textures/gma4/fog_grey1.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 1
//	fogparms ( .15 .15 .17 ) 768
	fogparms ( .2 .2 .2 ) 384
//	fogparms ( .5 .5 .5 ) 128
	{
		map textures/gma4/fog1.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/gma/fog1.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}



//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//++++++++++++++++++++LIGHTS TESTSECTION++++++++++++++++++++++++
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

textures/gma4/light_r2k
{
	qer_editorimage textures/lights/light_m25r.tga
	q3map_lightimage textures/lights/light_m25r.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m25r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m25r.tga
		blendFunc GL_ONE GL_ONE
	}
}
//***************************************************************